Package com.sun.jna.platform.win32

## Class Pdh.PDH_TIME_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Pdh.PDH_TIME_INFO

- Enclosing interface:
    Pdh

      @FieldOrder({"StartTime","EndTime","SampleCount"})
      public static class Pdh.PDH_TIME_INFO
      extends Structure

  Information on time intervals as applied to the sampling of performance data.
  See Also:
    PDH_TIME_INFO

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `EndTime` | Ending time of the sample interval, in local FILETIME format.
    `int` | `SampleCount` | Number of samples collected during the interval.
    `long` | `StartTime` | Starting time of the sample interval, in local FILETIME format.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PDH_TIME_INFO()` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### StartTime

          public long StartTime

      Starting time of the sample interval, in local FILETIME format.

    - #### EndTime

          public long EndTime

      Ending time of the sample interval, in local FILETIME format.

    - #### SampleCount

          public int SampleCount

      Number of samples collected during the interval.

  - ### Constructor Detail

    - #### PDH_TIME_INFO

          public PDH_TIME_INFO()